/*
 ============================================================================
 Name		: DialogExamApplication.cpp
 Author	  : Hou maoqing
 Copyright   : Copyright (c) Hou maoqing 2008
 Description : Main application class
 ============================================================================
 */

// INCLUDE FILES
#include "DialogExam.hrh"
#include "DialogExamDocument.h"
#include "DialogExamApplication.h"

// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// CDialogExamApplication::CreateDocumentL()
// Creates CApaDocument object
// -----------------------------------------------------------------------------
//
CApaDocument* CDialogExamApplication::CreateDocumentL()
	{
	// Create an DialogExam document, and return a pointer to it
	return CDialogExamDocument::NewL(*this);
	}

// -----------------------------------------------------------------------------
// CDialogExamApplication::AppDllUid()
// Returns application UID
// -----------------------------------------------------------------------------
//
TUid CDialogExamApplication::AppDllUid() const
	{
	// Return the UID for the DialogExam application
	return KUidDialogExamApp;
	}

// End of File
